<?php 

class InputText  {
  private $scope;
  private $dbValue;
  private $dbRowId;
  private $iterator;
  private $label;

  public function __construct($entry) {

    if (isset($entry)) {
      $this->scope    = $entry->scope;
      $this->label    = $entry->label;
      $this->dbValue  = $entry->dbValue;
      $this->dbRowId  = $entry->dbRowId;
      $this->iterator = $entry->iterator;
    }
  }

  public function outputLayout() {


    $layout = "
      <label for='$this->scope' style='width:100%'>$this->label<br>
        <input type='text' id='$this->scope' class='$this->iterator' name='$this->scope' 
          value='$this->dbValue'>
      </label>      
     ";
  
 	return $layout;
  }	

  public function outputScript() {

	$script = "
	  
    "; 
    return $script;
  }
}

?>